Bug 9639 - Rename internal subsystem pdb_ldap to pdb_ldapsam
Rename internal subsystem pdb_ldap to pdb_ldapsam
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
4.0.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-06 16:43 UTC by Alexander Bokovoy
Modified: 2013-02-13 18:28 UTC (History)
0 users

See Also:


Attachments
Rename pdb_ldap to pdb_ldapsam (5.03 KB, patch)
2013-02-06 16:43 UTC, Alexander Bokovoy
asn: review+
Details
support specifying pdb_ldap in configure for waf (1.57 KB, patch)
2013-02-06 16:44 UTC, Alexander Bokovoy
asn: review+
Details
support specifying pdb_ldap in autoconf configure (1.83 KB, patch)
2013-02-06 16:44 UTC, Alexander Bokovoy
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bokovoy 2013-02-06 16:43:08 UTC
In 4.0.3 it is not possible to use PASSDB module ldapsam built dynamically because when searching and initializing the module, file name (ldapsam.so) should be the same as module name in smb.conf.

Unfortunately, pdb_ldap subsystem generates module named ldap.so.

Attached patches rename pdb_ldap to pdb_ldapsam and ensure that specifying 'pdb_ldap' when configuring samba, will enable pdb_ldapsam module.
Comment 1 Alexander Bokovoy 2013-02-06 16:43:52 UTC
Created attachment 8534 [details]
Rename pdb_ldap to pdb_ldapsam
Comment 2 Alexander Bokovoy 2013-02-06 16:44:24 UTC
Created attachment 8535 [details]
support specifying pdb_ldap in configure for waf
Comment 3 Alexander Bokovoy 2013-02-06 16:44:49 UTC
Created attachment 8536 [details]
support specifying pdb_ldap in autoconf configure
Comment 4 Andreas Schneider 2013-02-07 12:57:18 UTC
Karolin, please add the patches to v4-0-test. Thanks.
Comment 5 Karolin Seeger 2013-02-12 20:12:05 UTC
Pushed to autobuild-v4-0-test.
Comment 6 Karolin Seeger 2013-02-13 18:28:23 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!